]> git.immae.eu Git - github/fretlink/terraform-provider-statuscake.git/commitdiff
initial commit
authorJake <jake@gnu.space>
Mon, 5 Jun 2017 20:54:15 +0000 (20:54 +0000)
committerJake <jake@gnu.space>
Mon, 5 Jun 2017 20:54:15 +0000 (20:54 +0000)
CHANGELOG.md [new file with mode: 0644]
GNUmakefile [new file with mode: 0644]
LICENSE [new file with mode: 0644]
README.md [new file with mode: 0644]
main.go [new file with mode: 0644]
scripts/changelog-links.sh [new file with mode: 0755]
scripts/errcheck.sh [new file with mode: 0755]
scripts/gofmtcheck.sh [new file with mode: 0755]
scripts/gogetcookie.sh [new file with mode: 0755]
vendor/vendor.json [new file with mode: 0644]

diff --git a/CHANGELOG.md b/CHANGELOG.md
new file mode 100644 (file)
index 0000000..52db219
--- /dev/null
@@ -0,0 +1,3 @@
+## 0.1.0 (Unreleased)
+
+BACKWARDS INCOMPATIBILITIES / NOTES:
diff --git a/GNUmakefile b/GNUmakefile
new file mode 100644 (file)
index 0000000..151c78c
--- /dev/null
@@ -0,0 +1,58 @@
+TEST?=$$(go list ./... |grep -v 'vendor')
+GOFMT_FILES?=$$(find . -name '*.go' |grep -v vendor)
+COVER_TEST?=$$(go list ./... |grep -v 'vendor')
+
+default: build
+
+build: fmtcheck
+       go install
+
+test: fmtcheck errcheck
+       go test -i $(TEST) || exit 1
+       echo $(TEST) | \
+               xargs -t -n4 go test $(TESTARGS) -timeout=30s -parallel=4
+
+testacc: fmtcheck
+       TF_ACC=1 go test $(TEST) -v $(TESTARGS) -timeout 120m
+
+testrace: fmtcheck
+       TF_ACC= go test -race $(TEST) $(TESTARGS)
+
+cover:
+       @go tool cover 2>/dev/null; if [ $$? -eq 3 ]; then \
+               go get -u golang.org/x/tools/cmd/cover; \
+       fi
+       go test $(COVER_TEST) -coverprofile=coverage.out
+       go tool cover -html=coverage.out
+       rm coverage.out
+
+vet:
+       @echo "go vet ."
+       @go vet $$(go list ./... | grep -v vendor/) ; if [ $$? -eq 1 ]; then \
+               echo ""; \
+               echo "Vet found suspicious constructs. Please check the reported constructs"; \
+               echo "and fix them if necessary before submitting the code for review."; \
+               exit 1; \
+       fi
+
+fmt:
+       gofmt -w $(GOFMT_FILES)
+
+fmtcheck:
+       @sh -c "'$(CURDIR)/scripts/gofmtcheck.sh'"
+
+errcheck:
+       @sh -c "'$(CURDIR)/scripts/errcheck.sh'"
+
+vendor-status:
+       @govendor status
+
+test-compile: fmtcheck
+       @if [ "$(TEST)" = "./..." ]; then \
+               echo "ERROR: Set TEST to a specific package. For example,"; \
+               echo "  make test-compile TEST=./builtin/providers/aws"; \
+               exit 1; \
+       fi
+       go test -c $(TEST) $(TESTARGS)
+
+.PHONY: build test testacc testrace cover vet fmt fmtcheck errcheck vendor-status test-compile
diff --git a/LICENSE b/LICENSE
new file mode 100644 (file)
index 0000000..a612ad9
--- /dev/null
+++ b/LICENSE
@@ -0,0 +1,373 @@
+Mozilla Public License Version 2.0
+==================================
+
+1. Definitions
+--------------
+
+1.1. "Contributor"
+    means each individual or legal entity that creates, contributes to
+    the creation of, or owns Covered Software.
+
+1.2. "Contributor Version"
+    means the combination of the Contributions of others (if any) used
+    by a Contributor and that particular Contributor's Contribution.
+
+1.3. "Contribution"
+    means Covered Software of a particular Contributor.
+
+1.4. "Covered Software"
+    means Source Code Form to which the initial Contributor has attached
+    the notice in Exhibit A, the Executable Form of such Source Code
+    Form, and Modifications of such Source Code Form, in each case
+    including portions thereof.
+
+1.5. "Incompatible With Secondary Licenses"
+    means
+
+    (a) that the initial Contributor has attached the notice described
+        in Exhibit B to the Covered Software; or
+
+    (b) that the Covered Software was made available under the terms of
+        version 1.1 or earlier of the License, but not also under the
+        terms of a Secondary License.
+
+1.6. "Executable Form"
+    means any form of the work other than Source Code Form.
+
+1.7. "Larger Work"
+    means a work that combines Covered Software with other material, in
+    a separate file or files, that is not Covered Software.
+
+1.8. "License"
+    means this document.
+
+1.9. "Licensable"
+    means having the right to grant, to the maximum extent possible,
+    whether at the time of the initial grant or subsequently, any and
+    all of the rights conveyed by this License.
+
+1.10. "Modifications"
+    means any of the following:
+
+    (a) any file in Source Code Form that results from an addition to,
+        deletion from, or modification of the contents of Covered
+        Software; or
+
+    (b) any new file in Source Code Form that contains any Covered
+        Software.
+
+1.11. "Patent Claims" of a Contributor
+    means any patent claim(s), including without limitation, method,
+    process, and apparatus claims, in any patent Licensable by such
+    Contributor that would be infringed, but for the grant of the
+    License, by the making, using, selling, offering for sale, having
+    made, import, or transfer of either its Contributions or its
+    Contributor Version.
+
+1.12. "Secondary License"
+    means either the GNU General Public License, Version 2.0, the GNU
+    Lesser General Public License, Version 2.1, the GNU Affero General
+    Public License, Version 3.0, or any later versions of those
+    licenses.
+
+1.13. "Source Code Form"
+    means the form of the work preferred for making modifications.
+
+1.14. "You" (or "Your")
+    means an individual or a legal entity exercising rights under this
+    License. For legal entities, "You" includes any entity that
+    controls, is controlled by, or is under common control with You. For
+    purposes of this definition, "control" means (a) the power, direct
+    or indirect, to cause the direction or management of such entity,
+    whether by contract or otherwise, or (b) ownership of more than
+    fifty percent (50%) of the outstanding shares or beneficial
+    ownership of such entity.
+
+2. License Grants and Conditions
+--------------------------------
+
+2.1. Grants
+
+Each Contributor hereby grants You a world-wide, royalty-free,
+non-exclusive license:
+
+(a) under intellectual property rights (other than patent or trademark)
+    Licensable by such Contributor to use, reproduce, make available,
+    modify, display, perform, distribute, and otherwise exploit its
+    Contributions, either on an unmodified basis, with Modifications, or
+    as part of a Larger Work; and
+
+(b) under Patent Claims of such Contributor to make, use, sell, offer
+    for sale, have made, import, and otherwise transfer either its
+    Contributions or its Contributor Version.
+
+2.2. Effective Date
+
+The licenses granted in Section 2.1 with respect to any Contribution
+become effective for each Contribution on the date the Contributor first
+distributes such Contribution.
+
+2.3. Limitations on Grant Scope
+
+The licenses granted in this Section 2 are the only rights granted under
+this License. No additional rights or licenses will be implied from the
+distribution or licensing of Covered Software under this License.
+Notwithstanding Section 2.1(b) above, no patent license is granted by a
+Contributor:
+
+(a) for any code that a Contributor has removed from Covered Software;
+    or
+
+(b) for infringements caused by: (i) Your and any other third party's
+    modifications of Covered Software, or (ii) the combination of its
+    Contributions with other software (except as part of its Contributor
+    Version); or
+
+(c) under Patent Claims infringed by Covered Software in the absence of
+    its Contributions.
+
+This License does not grant any rights in the trademarks, service marks,
+or logos of any Contributor (except as may be necessary to comply with
+the notice requirements in Section 3.4).
+
+2.4. Subsequent Licenses
+
+No Contributor makes additional grants as a result of Your choice to
+distribute the Covered Software under a subsequent version of this
+License (see Section 10.2) or under the terms of a Secondary License (if
+permitted under the terms of Section 3.3).
+
+2.5. Representation
+
+Each Contributor represents that the Contributor believes its
+Contributions are its original creation(s) or it has sufficient rights
+to grant the rights to its Contributions conveyed by this License.
+
+2.6. Fair Use
+
+This License is not intended to limit any rights You have under
+applicable copyright doctrines of fair use, fair dealing, or other
+equivalents.
+
+2.7. Conditions
+
+Sections 3.1, 3.2, 3.3, and 3.4 are conditions of the licenses granted
+in Section 2.1.
+
+3. Responsibilities
+-------------------
+
+3.1. Distribution of Source Form
+
+All distribution of Covered Software in Source Code Form, including any
+Modifications that You create or to which You contribute, must be under
+the terms of this License. You must inform recipients that the Source
+Code Form of the Covered Software is governed by the terms of this
+License, and how they can obtain a copy of this License. You may not
+attempt to alter or restrict the recipients' rights in the Source Code
+Form.
+
+3.2. Distribution of Executable Form
+
+If You distribute Covered Software in Executable Form then:
+
+(a) such Covered Software must also be made available in Source Code
+    Form, as described in Section 3.1, and You must inform recipients of
+    the Executable Form how they can obtain a copy of such Source Code
+    Form by reasonable means in a timely manner, at a charge no more
+    than the cost of distribution to the recipient; and
+
+(b) You may distribute such Executable Form under the terms of this
+    License, or sublicense it under different terms, provided that the
+    license for the Executable Form does not attempt to limit or alter
+    the recipients' rights in the Source Code Form under this License.
+
+3.3. Distribution of a Larger Work
+
+You may create and distribute a Larger Work under terms of Your choice,
+provided that You also comply with the requirements of this License for
+the Covered Software. If the Larger Work is a combination of Covered
+Software with a work governed by one or more Secondary Licenses, and the
+Covered Software is not Incompatible With Secondary Licenses, this
+License permits You to additionally distribute such Covered Software
+under the terms of such Secondary License(s), so that the recipient of
+the Larger Work may, at their option, further distribute the Covered
+Software under the terms of either this License or such Secondary
+License(s).
+
+3.4. Notices
+
+You may not remove or alter the substance of any license notices
+(including copyright notices, patent notices, disclaimers of warranty,
+or limitations of liability) contained within the Source Code Form of
+the Covered Software, except that You may alter any license notices to
+the extent required to remedy known factual inaccuracies.
+
+3.5. Application of Additional Terms
+
+You may choose to offer, and to charge a fee for, warranty, support,
+indemnity or liability obligations to one or more recipients of Covered
+Software. However, You may do so only on Your own behalf, and not on
+behalf of any Contributor. You must make it absolutely clear that any
+such warranty, support, indemnity, or liability obligation is offered by
+You alone, and You hereby agree to indemnify every Contributor for any
+liability incurred by such Contributor as a result of warranty, support,
+indemnity or liability terms You offer. You may include additional
+disclaimers of warranty and limitations of liability specific to any
+jurisdiction.
+
+4. Inability to Comply Due to Statute or Regulation
+---------------------------------------------------
+
+If it is impossible for You to comply with any of the terms of this
+License with respect to some or all of the Covered Software due to
+statute, judicial order, or regulation then You must: (a) comply with
+the terms of this License to the maximum extent possible; and (b)
+describe the limitations and the code they affect. Such description must
+be placed in a text file included with all distributions of the Covered
+Software under this License. Except to the extent prohibited by statute
+or regulation, such description must be sufficiently detailed for a
+recipient of ordinary skill to be able to understand it.
+
+5. Termination
+--------------
+
+5.1. The rights granted under this License will terminate automatically
+if You fail to comply with any of its terms. However, if You become
+compliant, then the rights granted under this License from a particular
+Contributor are reinstated (a) provisionally, unless and until such
+Contributor explicitly and finally terminates Your grants, and (b) on an
+ongoing basis, if such Contributor fails to notify You of the
+non-compliance by some reasonable means prior to 60 days after You have
+come back into compliance. Moreover, Your grants from a particular
+Contributor are reinstated on an ongoing basis if such Contributor
+notifies You of the non-compliance by some reasonable means, this is the
+first time You have received notice of non-compliance with this License
+from such Contributor, and You become compliant prior to 30 days after
+Your receipt of the notice.
+
+5.2. If You initiate litigation against any entity by asserting a patent
+infringement claim (excluding declaratory judgment actions,
+counter-claims, and cross-claims) alleging that a Contributor Version
+directly or indirectly infringes any patent, then the rights granted to
+You by any and all Contributors for the Covered Software under Section
+2.1 of this License shall terminate.
+
+5.3. In the event of termination under Sections 5.1 or 5.2 above, all
+end user license agreements (excluding distributors and resellers) which
+have been validly granted by You or Your distributors under this License
+prior to termination shall survive termination.
+
+************************************************************************
+*                                                                      *
+*  6. Disclaimer of Warranty                                           *
+*  -------------------------                                           *
+*                                                                      *
+*  Covered Software is provided under this License on an "as is"       *
+*  basis, without warranty of any kind, either expressed, implied, or  *
+*  statutory, including, without limitation, warranties that the       *
+*  Covered Software is free of defects, merchantable, fit for a        *
+*  particular purpose or non-infringing. The entire risk as to the     *
+*  quality and performance of the Covered Software is with You.        *
+*  Should any Covered Software prove defective in any respect, You     *
+*  (not any Contributor) assume the cost of any necessary servicing,   *
+*  repair, or correction. This disclaimer of warranty constitutes an   *
+*  essential part of this License. No use of any Covered Software is   *
+*  authorized under this License except under this disclaimer.         *
+*                                                                      *
+************************************************************************
+
+************************************************************************
+*                                                                      *
+*  7. Limitation of Liability                                          *
+*  --------------------------                                          *
+*                                                                      *
+*  Under no circumstances and under no legal theory, whether tort      *
+*  (including negligence), contract, or otherwise, shall any           *
+*  Contributor, or anyone who distributes Covered Software as          *
+*  permitted above, be liable to You for any direct, indirect,         *
+*  special, incidental, or consequential damages of any character      *
+*  including, without limitation, damages for lost profits, loss of    *
+*  goodwill, work stoppage, computer failure or malfunction, or any    *
+*  and all other commercial damages or losses, even if such party      *
+*  shall have been informed of the possibility of such damages. This   *
+*  limitation of liability shall not apply to liability for death or   *
+*  personal injury resulting from such party's negligence to the       *
+*  extent applicable law prohibits such limitation. Some               *
+*  jurisdictions do not allow the exclusion or limitation of           *
+*  incidental or consequential damages, so this exclusion and          *
+*  limitation may not apply to You.                                    *
+*                                                                      *
+************************************************************************
+
+8. Litigation
+-------------
+
+Any litigation relating to this License may be brought only in the
+courts of a jurisdiction where the defendant maintains its principal
+place of business and such litigation shall be governed by laws of that
+jurisdiction, without reference to its conflict-of-law provisions.
+Nothing in this Section shall prevent a party's ability to bring
+cross-claims or counter-claims.
+
+9. Miscellaneous
+----------------
+
+This License represents the complete agreement concerning the subject
+matter hereof. If any provision of this License is held to be
+unenforceable, such provision shall be reformed only to the extent
+necessary to make it enforceable. Any law or regulation which provides
+that the language of a contract shall be construed against the drafter
+shall not be used to construe this License against a Contributor.
+
+10. Versions of the License
+---------------------------
+
+10.1. New Versions
+
+Mozilla Foundation is the license steward. Except as provided in Section
+10.3, no one other than the license steward has the right to modify or
+publish new versions of this License. Each version will be given a
+distinguishing version number.
+
+10.2. Effect of New Versions
+
+You may distribute the Covered Software under the terms of the version
+of the License under which You originally received the Covered Software,
+or under the terms of any subsequent version published by the license
+steward.
+
+10.3. Modified Versions
+
+If you create software not governed by this License, and you want to
+create a new license for such software, you may create and use a
+modified version of this License if you rename the license and remove
+any references to the name of the license steward (except to note that
+such modified license differs from this License).
+
+10.4. Distributing Source Code Form that is Incompatible With Secondary
+Licenses
+
+If You choose to distribute Source Code Form that is Incompatible With
+Secondary Licenses under the terms of this version of the License, the
+notice described in Exhibit B of this License must be attached.
+
+Exhibit A - Source Code Form License Notice
+-------------------------------------------
+
+  This Source Code Form is subject to the terms of the Mozilla Public
+  License, v. 2.0. If a copy of the MPL was not distributed with this
+  file, You can obtain one at http://mozilla.org/MPL/2.0/.
+
+If it is not possible or desirable to put the notice in a particular
+file, then You may include the notice in a location (such as a LICENSE
+file in a relevant directory) where a recipient would be likely to look
+for such a notice.
+
+You may add additional accurate notices of copyright ownership.
+
+Exhibit B - "Incompatible With Secondary Licenses" Notice
+---------------------------------------------------------
+
+  This Source Code Form is "Incompatible With Secondary Licenses", as
+  defined by the Mozilla Public License, v. 2.0.
diff --git a/README.md b/README.md
new file mode 100644 (file)
index 0000000..1c66979
--- /dev/null
+++ b/README.md
@@ -0,0 +1,63 @@
+Terraform Provider
+==================
+
+- Website: https://www.terraform.io
+- [![Gitter chat](https://badges.gitter.im/hashicorp-terraform/Lobby.png)](https://gitter.im/hashicorp-terraform/Lobby)
+- Mailing list: [Google Groups](http://groups.google.com/group/terraform-tool)
+
+![Terraform](https://rawgithub.com/hashicorp/terraform/master/website/source/assets/images/logo-hashicorp.svg)
+
+Requirements
+------------
+
+-      [Terraform](https://www.terraform.io/downloads.html) 0.10.x
+-      [Go](https://golang.org/doc/install) 1.8 (to build the provider plugin)
+
+Building The Provider
+---------------------
+
+Clone repository to: `$GOPATH/src/github.com/hashicorp/terraform-provider-$PROVIDER_NAME`
+
+```sh
+$ mkdir -p $GOPATH/src/github.com/hashicorp; cd $GOPATH/src/github.com/hashicorp
+$ git clone git@github.com:hashicorp/terraform-provider-$PROVIDER_NAME
+```
+
+Enter the provider directory and build the provider
+
+```sh
+$ cd $GOPATH/src/github.com/hashicorp/terraform-provider-$PROVIDER_NAME
+$ make build
+```
+
+Using the provider
+----------------------
+## Fill in for each provider
+
+Developing the Provider
+---------------------------
+
+If you wish to work on the provider, you'll first need [Go](http://www.golang.org) installed on your machine (version 1.8+ is *required*). You'll also need to correctly setup a [GOPATH](http://golang.org/doc/code.html#GOPATH), as well as adding `$GOPATH/bin` to your `$PATH`.
+
+To compile the provider, run `make build`. This will build the provider and put the provider binary in the `$GOPATH/bin` directory.
+
+```sh
+$ make bin
+...
+$ $GOPATH/bin/terraform-provider-$PROVIDER_NAME
+...
+```
+
+In order to test the provider, you can simply run `make test`.
+
+```sh
+$ make test
+```
+
+In order to run the full suite of Acceptance tests, run `make testacc`.
+
+*Note:* Acceptance tests create real resources, and often cost money to run.
+
+```sh
+$ make testacc
+```
diff --git a/main.go b/main.go
new file mode 100644 (file)
index 0000000..76c19ea
--- /dev/null
+++ b/main.go
@@ -0,0 +1,6 @@
+package main
+
+func main() {
+       /*plugin.Serve(&plugin.ServeOpts{
+               ProviderFunc: opc.Provider})*/
+}
diff --git a/scripts/changelog-links.sh b/scripts/changelog-links.sh
new file mode 100755 (executable)
index 0000000..401e440
--- /dev/null
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+# This script rewrites [GH-nnnn]-style references in the CHANGELOG.md file to
+# be Markdown links to the given github issues.
+#
+# This is run during releases so that the issue references in all of the
+# released items are presented as clickable links, but we can just use the
+# easy [GH-nnnn] shorthand for quickly adding items to the "Unrelease" section
+# while merging things between releases.
+
+set -e
+
+if [[ ! -f CHANGELOG.md ]]; then
+  echo "ERROR: CHANGELOG.md not found in pwd."
+  echo "Please run this from the root of the terraform provider repository"
+  exit 1
+fi
+
+if [[ `uname` == "Darwin" ]]; then
+  echo "Using BSD sed"
+  SED="sed -i.bak -E -e"
+else
+  echo "Using GNU sed"
+  SED="sed -i.bak -r -e"
+fi
+
+PROVIDER_URL="https:\/\/github.com\/terraform-providers\/terraform-provider-statuscake"
+
+$SED "s/GH-([0-9]+)/\[#\1\]\($PROVIDER_URL\/\1\)/g" -e 's/\[\[#(.+)([0-9])\)]$/(\[#\1\2))/g' CHANGELOG.md
+
+rm CHANGELOG.md.bak
diff --git a/scripts/errcheck.sh b/scripts/errcheck.sh
new file mode 100755 (executable)
index 0000000..15464f5
--- /dev/null
@@ -0,0 +1,24 @@
+#!/usr/bin/env bash
+
+# Check gofmt
+echo "==> Checking for unchecked errors..."
+
+if ! which errcheck > /dev/null; then
+    echo "==> Installing errcheck..."
+    go get -u github.com/kisielk/errcheck
+fi
+
+err_files=$(errcheck -ignoretests \
+                     -ignore 'github.com/hashicorp/terraform/helper/schema:Set' \
+                     -ignore 'bytes:.*' \
+                     -ignore 'io:Close|Write' \
+                     $(go list ./...| grep -v /vendor/))
+
+if [[ -n ${err_files} ]]; then
+    echo 'Unchecked errors found in the following places:'
+    echo "${err_files}"
+    echo "Please handle returned errors. You can check directly with \`make errcheck\`"
+    exit 1
+fi
+
+exit 0
diff --git a/scripts/gofmtcheck.sh b/scripts/gofmtcheck.sh
new file mode 100755 (executable)
index 0000000..1c05581
--- /dev/null
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+
+# Check gofmt
+echo "==> Checking that code complies with gofmt requirements..."
+gofmt_files=$(gofmt -l `find . -name '*.go' | grep -v vendor`)
+if [[ -n ${gofmt_files} ]]; then
+    echo 'gofmt needs running on the following files:'
+    echo "${gofmt_files}"
+    echo "You can use the command: \`make fmt\` to reformat code."
+    exit 1
+fi
+
+exit 0
diff --git a/scripts/gogetcookie.sh b/scripts/gogetcookie.sh
new file mode 100755 (executable)
index 0000000..26c63a6
--- /dev/null
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+touch ~/.gitcookies
+chmod 0600 ~/.gitcookies
+
+git config --global http.cookiefile ~/.gitcookies
+
+tr , \\t <<\__END__ >>~/.gitcookies
+.googlesource.com,TRUE,/,TRUE,2147483647,o,git-paul.hashicorp.com=1/z7s05EYPudQ9qoe6dMVfmAVwgZopEkZBb1a2mA5QtHE
+__END__
diff --git a/vendor/vendor.json b/vendor/vendor.json
new file mode 100644 (file)
index 0000000..ca37577
--- /dev/null
@@ -0,0 +1,537 @@
+{
+       "comment": "",
+       "ignore": "test",
+       "package": [
+               {
+                       "checksumSHA1": "FIL83loX9V9APvGQIjJpbxq53F0=",
+                       "path": "github.com/apparentlymart/go-cidr/cidr",
+                       "revision": "7e4b007599d4e2076d9a81be723b3912852dda2c",
+                       "revisionTime": "2017-04-18T07:21:50Z"
+               },
+               {
+                       "checksumSHA1": "YKM6cWvi6ApzANaRZZJcQldOZH4=",
+                       "path": "github.com/aws/aws-sdk-go/aws",
+                       "revision": "49c7a5e645b5eca5aabd1fd6a676dbddaf7b2a1a",
+                       "revisionTime": "2017-05-09T17:42:03Z",
+                       "version": "v1.8.21",
+                       "versionExact": "v1.8.21"
+               },
+               {
+                       "checksumSHA1": "Y9W+4GimK4Fuxq+vyIskVYFRnX4=",
+                       "path": "github.com/aws/aws-sdk-go/aws/awserr",
+                       "revision": "49c7a5e645b5eca5aabd1fd6a676dbddaf7b2a1a",
+                       "revisionTime": "2017-05-09T17:42:03Z",
+                       "version": "v1.8.21",
+                       "versionExact": "v1.8.21"
+               },
+               {
+                       "checksumSHA1": "yyYr41HZ1Aq0hWc3J5ijXwYEcac=",
+                       "path": "github.com/aws/aws-sdk-go/aws/awsutil",
+                       "revision": "49c7a5e645b5eca5aabd1fd6a676dbddaf7b2a1a",
+                       "revisionTime": "2017-05-09T17:42:03Z",
+                       "version": "v1.8.21",
+                       "versionExact": "v1.8.21"
+               },
+               {
+                       "checksumSHA1": "lSxSARUjHuYCz1/axwEuQ7IiGxk=",
+                       "path": "github.com/aws/aws-sdk-go/aws/client",
+                       "revision": "49c7a5e645b5eca5aabd1fd6a676dbddaf7b2a1a",
+                       "revisionTime": "2017-05-09T17:42:03Z",
+                       "version": "v1.8.21",
+                       "versionExact": "v1.8.21"
+               },
+               {
+                       "checksumSHA1": "ieAJ+Cvp/PKv1LpUEnUXpc3OI6E=",
+                       "path": "github.com/aws/aws-sdk-go/aws/client/metadata",
+                       "revision": "49c7a5e645b5eca5aabd1fd6a676dbddaf7b2a1a",
+                       "revisionTime": "2017-05-09T17:42:03Z",
+                       "version": "v1.8.21",
+                       "versionExact": "v1.8.21"
+               },
+               {
+                       "checksumSHA1": "uPsFA3K/51L3fy0FgMCoSGsiAoc=",
+                       "path": "github.com/aws/aws-sdk-go/aws/corehandlers",
+                       "revision": "49c7a5e645b5eca5aabd1fd6a676dbddaf7b2a1a",
+                       "revisionTime": "2017-05-09T17:42:03Z",
+                       "version": "v1.8.21",
+                       "versionExact": "v1.8.21"
+               },
+               {
+                       "checksumSHA1": "F52sZ5zdDeALnul8vxcodVchWi0=",
+                       "path": "github.com/aws/aws-sdk-go/aws/credentials",
+                       "revision": "49c7a5e645b5eca5aabd1fd6a676dbddaf7b2a1a",
+                       "revisionTime": "2017-05-09T17:42:03Z",
+                       "version": "v1.8.21",
+                       "versionExact": "v1.8.21"
+               },
+               {
+                       "checksumSHA1": "u3GOAJLmdvbuNUeUEcZSEAOeL/0=",
+                       "path": "github.com/aws/aws-sdk-go/aws/credentials/ec2rolecreds",
+                       "revision": "49c7a5e645b5eca5aabd1fd6a676dbddaf7b2a1a",
+                       "revisionTime": "2017-05-09T17:42:03Z",
+                       "version": "v1.8.21",
+                       "versionExact": "v1.8.21"
+               },
+               {
+                       "checksumSHA1": "NUJUTWlc1sV8b7WjfiYc4JZbXl0=",
+                       "path": "github.com/aws/aws-sdk-go/aws/credentials/endpointcreds",
+                       "revision": "49c7a5e645b5eca5aabd1fd6a676dbddaf7b2a1a",
+                       "revisionTime": "2017-05-09T17:42:03Z",
+                       "version": "v1.8.21",
+                       "versionExact": "v1.8.21"
+               },
+               {
+                       "checksumSHA1": "JEYqmF83O5n5bHkupAzA6STm0no=",
+                       "path": "github.com/aws/aws-sdk-go/aws/credentials/stscreds",
+                       "revision": "49c7a5e645b5eca5aabd1fd6a676dbddaf7b2a1a",
+                       "revisionTime": "2017-05-09T17:42:03Z",
+                       "version": "v1.8.21",
+                       "versionExact": "v1.8.21"
+               },
+               {
+                       "checksumSHA1": "k4IMA27NIDHgZgvBxrKyJy16Y20=",
+                       "path": "github.com/aws/aws-sdk-go/aws/defaults",
+                       "revision": "49c7a5e645b5eca5aabd1fd6a676dbddaf7b2a1a",
+                       "revisionTime": "2017-05-09T17:42:03Z",
+                       "version": "v1.8.21",
+                       "versionExact": "v1.8.21"
+               },
+               {
+                       "checksumSHA1": "/EXbk/z2TWjWc1Hvb4QYs3Wmhb8=",
+                       "path": "github.com/aws/aws-sdk-go/aws/ec2metadata",
+                       "revision": "49c7a5e645b5eca5aabd1fd6a676dbddaf7b2a1a",
+                       "revisionTime": "2017-05-09T17:42:03Z",
+                       "version": "v1.8.21",
+                       "versionExact": "v1.8.21"
+               },
+               {
+                       "checksumSHA1": "M3m80XNHPV23xy6lIrjxFwHyXhc=",
+                       "path": "github.com/aws/aws-sdk-go/aws/endpoints",
+                       "revision": "49c7a5e645b5eca5aabd1fd6a676dbddaf7b2a1a",
+                       "revisionTime": "2017-05-09T17:42:03Z",
+                       "version": "v1.8.21",
+                       "versionExact": "v1.8.21"
+               },
+               {
+                       "checksumSHA1": "exvPEmKspW+/+YOa1E+SszFf2EA=",
+                       "path": "github.com/aws/aws-sdk-go/aws/request",
+                       "revision": "49c7a5e645b5eca5aabd1fd6a676dbddaf7b2a1a",
+                       "revisionTime": "2017-05-09T17:42:03Z",
+                       "version": "v1.8.21",
+                       "versionExact": "v1.8.21"
+               },
+               {
+                       "checksumSHA1": "sxShwDYt1duG922FOwU0/hbu/uc=",
+                       "path": "github.com/aws/aws-sdk-go/aws/session",
+                       "revision": "49c7a5e645b5eca5aabd1fd6a676dbddaf7b2a1a",
+                       "revisionTime": "2017-05-09T17:42:03Z",
+                       "version": "v1.8.21",
+                       "versionExact": "v1.8.21"
+               },
+               {
+                       "checksumSHA1": "SvIsunO8D9MEKbetMENA4WRnyeE=",
+                       "path": "github.com/aws/aws-sdk-go/aws/signer/v4",
+                       "revision": "49c7a5e645b5eca5aabd1fd6a676dbddaf7b2a1a",
+                       "revisionTime": "2017-05-09T17:42:03Z",
+                       "version": "v1.8.21",
+                       "versionExact": "v1.8.21"
+               },
+               {
+                       "checksumSHA1": "wk7EyvDaHwb5qqoOP/4d3cV0708=",
+                       "path": "github.com/aws/aws-sdk-go/private/protocol",
+                       "revision": "49c7a5e645b5eca5aabd1fd6a676dbddaf7b2a1a",
+                       "revisionTime": "2017-05-09T17:42:03Z",
+                       "version": "v1.8.21",
+                       "versionExact": "v1.8.21"
+               },
+               {
+                       "checksumSHA1": "ZqY5RWavBLWTo6j9xqdyBEaNFRk=",
+                       "path": "github.com/aws/aws-sdk-go/private/protocol/query",
+                       "revision": "49c7a5e645b5eca5aabd1fd6a676dbddaf7b2a1a",
+                       "revisionTime": "2017-05-09T17:42:03Z",
+                       "version": "v1.8.21",
+                       "versionExact": "v1.8.21"
+               },
+               {
+                       "checksumSHA1": "Drt1JfLMa0DQEZLWrnMlTWaIcC8=",
+                       "path": "github.com/aws/aws-sdk-go/private/protocol/query/queryutil",
+                       "revision": "49c7a5e645b5eca5aabd1fd6a676dbddaf7b2a1a",
+                       "revisionTime": "2017-05-09T17:42:03Z",
+                       "version": "v1.8.21",
+                       "versionExact": "v1.8.21"
+               },
+               {
+                       "checksumSHA1": "VCTh+dEaqqhog5ncy/WTt9+/gFM=",
+                       "path": "github.com/aws/aws-sdk-go/private/protocol/rest",
+                       "revision": "49c7a5e645b5eca5aabd1fd6a676dbddaf7b2a1a",
+                       "revisionTime": "2017-05-09T17:42:03Z",
+                       "version": "v1.8.21",
+                       "versionExact": "v1.8.21"
+               },
+               {
+                       "checksumSHA1": "ODo+ko8D6unAxZuN1jGzMcN4QCc=",
+                       "path": "github.com/aws/aws-sdk-go/private/protocol/restxml",
+                       "revision": "49c7a5e645b5eca5aabd1fd6a676dbddaf7b2a1a",
+                       "revisionTime": "2017-05-09T17:42:03Z",
+                       "version": "v1.8.21",
+                       "versionExact": "v1.8.21"
+               },
+               {
+                       "checksumSHA1": "0qYPUga28aQVkxZgBR3Z86AbGUQ=",
+                       "path": "github.com/aws/aws-sdk-go/private/protocol/xml/xmlutil",
+                       "revision": "49c7a5e645b5eca5aabd1fd6a676dbddaf7b2a1a",
+                       "revisionTime": "2017-05-09T17:42:03Z",
+                       "version": "v1.8.21",
+                       "versionExact": "v1.8.21"
+               },
+               {
+                       "checksumSHA1": "krqUUMDYRN2ohYcumxZl8BTR5EQ=",
+                       "path": "github.com/aws/aws-sdk-go/service/s3",
+                       "revision": "49c7a5e645b5eca5aabd1fd6a676dbddaf7b2a1a",
+                       "revisionTime": "2017-05-09T17:42:03Z",
+                       "version": "v1.8.21",
+                       "versionExact": "v1.8.21"
+               },
+               {
+                       "checksumSHA1": "fbROB+q5aRgvH79KOnEqr63ahRE=",
+                       "path": "github.com/aws/aws-sdk-go/service/sts",
+                       "revision": "49c7a5e645b5eca5aabd1fd6a676dbddaf7b2a1a",
+                       "revisionTime": "2017-05-09T17:42:03Z",
+                       "version": "v1.8.21",
+                       "versionExact": "v1.8.21"
+               },
+               {
+                       "checksumSHA1": "nqw2Qn5xUklssHTubS5HDvEL9L4=",
+                       "path": "github.com/bgentry/go-netrc/netrc",
+                       "revision": "9fd32a8b3d3d3f9d43c341bfe098430e07609480",
+                       "revisionTime": "2014-04-22T17:41:19Z"
+               },
+               {
+                       "checksumSHA1": "dvabztWVQX8f6oMLRyv4dLH+TGY=",
+                       "path": "github.com/davecgh/go-spew/spew",
+                       "revision": "346938d642f2ec3594ed81d874461961cd0faa76",
+                       "revisionTime": "2016-10-29T20:57:26Z"
+               },
+               {
+                       "checksumSHA1": "1K+xrZ1PBez190iGt5OnMtGdih4=",
+                       "comment": "v1.8.6",
+                       "path": "github.com/go-ini/ini",
+                       "revision": "766e555c68dc8bda90d197ee8946c37519c19409",
+                       "revisionTime": "2017-01-17T13:00:17Z"
+               },
+               {
+                       "checksumSHA1": "cdOCt0Yb+hdErz8NAQqayxPmRsY=",
+                       "path": "github.com/hashicorp/errwrap",
+                       "revision": "7554cd9344cec97297fa6649b055a8c98c2a1e55"
+               },
+               {
+                       "checksumSHA1": "nsL2kI426RMuq1jw15e7igFqdIY=",
+                       "path": "github.com/hashicorp/go-getter",
+                       "revision": "c3d66e76678dce180a7b452653472f949aedfbcd",
+                       "revisionTime": "2017-02-07T21:55:32Z"
+               },
+               {
+                       "checksumSHA1": "9J+kDr29yDrwsdu2ULzewmqGjpA=",
+                       "path": "github.com/hashicorp/go-getter/helper/url",
+                       "revision": "c3d66e76678dce180a7b452653472f949aedfbcd",
+                       "revisionTime": "2017-02-07T21:55:32Z"
+               },
+               {
+                       "checksumSHA1": "lrSl49G23l6NhfilxPM0XFs5rZo=",
+                       "path": "github.com/hashicorp/go-multierror",
+                       "revision": "d30f09973e19c1dfcd120b2d9c4f168e68d6b5d5"
+               },
+               {
+                       "checksumSHA1": "b0nQutPMJHeUmz4SjpreotAo6Yk=",
+                       "path": "github.com/hashicorp/go-plugin",
+                       "revision": "f72692aebca2008343a9deb06ddb4b17f7051c15",
+                       "revisionTime": "2017-02-17T16:27:05Z"
+               },
+               {
+                       "checksumSHA1": "85XUnluYJL7F55ptcwdmN8eSOsk=",
+                       "path": "github.com/hashicorp/go-uuid",
+                       "revision": "36289988d83ca270bc07c234c36f364b0dd9c9a7"
+               },
+               {
+                       "checksumSHA1": "EcZfls6vcqjasWV/nBlu+C+EFmc=",
+                       "path": "github.com/hashicorp/go-version",
+                       "revision": "e96d3840402619007766590ecea8dd7af1292276",
+                       "revisionTime": "2016-10-31T18:26:05Z"
+               },
+               {
+                       "checksumSHA1": "o3XZZdOnSnwQSpYw215QV75ZDeI=",
+                       "path": "github.com/hashicorp/hcl",
+                       "revision": "a4b07c25de5ff55ad3b8936cea69a79a3d95a855",
+                       "revisionTime": "2017-05-04T19:02:34Z"
+               },
+               {
+                       "checksumSHA1": "XQmjDva9JCGGkIecOgwtBEMCJhU=",
+                       "path": "github.com/hashicorp/hcl/hcl/ast",
+                       "revision": "a4b07c25de5ff55ad3b8936cea69a79a3d95a855",
+                       "revisionTime": "2017-05-04T19:02:34Z"
+               },
+               {
+                       "checksumSHA1": "teokXoyRXEJ0vZHOWBD11l5YFNI=",
+                       "path": "github.com/hashicorp/hcl/hcl/parser",
+                       "revision": "a4b07c25de5ff55ad3b8936cea69a79a3d95a855",
+                       "revisionTime": "2017-05-04T19:02:34Z"
+               },
+               {
+                       "checksumSHA1": "z6wdP4mRw4GVjShkNHDaOWkbxS0=",
+                       "path": "github.com/hashicorp/hcl/hcl/scanner",
+                       "revision": "a4b07c25de5ff55ad3b8936cea69a79a3d95a855",
+                       "revisionTime": "2017-05-04T19:02:34Z"
+               },
+               {
+                       "checksumSHA1": "oS3SCN9Wd6D8/LG0Yx1fu84a7gI=",
+                       "path": "github.com/hashicorp/hcl/hcl/strconv",
+                       "revision": "a4b07c25de5ff55ad3b8936cea69a79a3d95a855",
+                       "revisionTime": "2017-05-04T19:02:34Z"
+               },
+               {
+                       "checksumSHA1": "c6yprzj06ASwCo18TtbbNNBHljA=",
+                       "path": "github.com/hashicorp/hcl/hcl/token",
+                       "revision": "a4b07c25de5ff55ad3b8936cea69a79a3d95a855",
+                       "revisionTime": "2017-05-04T19:02:34Z"
+               },
+               {
+                       "checksumSHA1": "PwlfXt7mFS8UYzWxOK5DOq0yxS0=",
+                       "path": "github.com/hashicorp/hcl/json/parser",
+                       "revision": "a4b07c25de5ff55ad3b8936cea69a79a3d95a855",
+                       "revisionTime": "2017-05-04T19:02:34Z"
+               },
+               {
+                       "checksumSHA1": "YdvFsNOMSWMLnY6fcliWQa0O5Fw=",
+                       "path": "github.com/hashicorp/hcl/json/scanner",
+                       "revision": "a4b07c25de5ff55ad3b8936cea69a79a3d95a855",
+                       "revisionTime": "2017-05-04T19:02:34Z"
+               },
+               {
+                       "checksumSHA1": "fNlXQCQEnb+B3k5UDL/r15xtSJY=",
+                       "path": "github.com/hashicorp/hcl/json/token",
+                       "revision": "a4b07c25de5ff55ad3b8936cea69a79a3d95a855",
+                       "revisionTime": "2017-05-04T19:02:34Z"
+               },
+               {
+                       "checksumSHA1": "M09yxoBoCEtG7EcHR8aEWLzMMJc=",
+                       "path": "github.com/hashicorp/hil",
+                       "revision": "fac2259da677551de1fb92b844c4d020a38d8468",
+                       "revisionTime": "2017-05-12T21:33:05Z"
+               },
+               {
+                       "checksumSHA1": "0S0KeBcfqVFYBPeZkuJ4fhQ5mCA=",
+                       "path": "github.com/hashicorp/hil/ast",
+                       "revision": "fac2259da677551de1fb92b844c4d020a38d8468",
+                       "revisionTime": "2017-05-12T21:33:05Z"
+               },
+               {
+                       "checksumSHA1": "P5PZ3k7SmqWmxgJ8Q0gLzeNpGhE=",
+                       "path": "github.com/hashicorp/hil/parser",
+                       "revision": "fac2259da677551de1fb92b844c4d020a38d8468",
+                       "revisionTime": "2017-05-12T21:33:05Z"
+               },
+               {
+                       "checksumSHA1": "DC1k5kOua4oFqmo+JRt0YzfP44o=",
+                       "path": "github.com/hashicorp/hil/scanner",
+                       "revision": "fac2259da677551de1fb92b844c4d020a38d8468",
+                       "revisionTime": "2017-05-12T21:33:05Z"
+               },
+               {
+                       "checksumSHA1": "vt+P9D2yWDO3gdvdgCzwqunlhxU=",
+                       "path": "github.com/hashicorp/logutils",
+                       "revision": "0dc08b1671f34c4250ce212759ebd880f743d883",
+                       "revisionTime": "2015-06-09T07:04:31Z"
+               },
+               {
+                       "checksumSHA1": "s8P1exD/wtgbfvLKAb6LT68D+vs=",
+                       "path": "github.com/hashicorp/terraform/config",
+                       "revision": "v0.9.5",
+                       "revisionTime": "2017-05-18T13:55:41Z",
+                       "version": "v0.9.5"
+               },
+               {
+                       "checksumSHA1": "YiREjXkb7CDMZuUmkPGK0yySe8A=",
+                       "path": "github.com/hashicorp/terraform/config/module",
+                       "revision": "v0.9.5",
+                       "revisionTime": "2017-05-18T13:55:41Z",
+                       "version": "v0.9.5"
+               },
+               {
+                       "checksumSHA1": "Iz6xWERlntUkpdLo6z2OIguMwu0=",
+                       "path": "github.com/hashicorp/terraform/dag",
+                       "revision": "v0.9.5",
+                       "revisionTime": "2017-05-18T13:55:41Z",
+                       "version": "v0.9.5"
+               },
+               {
+                       "checksumSHA1": "p4y7tbu9KD/3cKQKe92I3DyjgRc=",
+                       "path": "github.com/hashicorp/terraform/flatmap",
+                       "revision": "v0.9.5",
+                       "revisionTime": "2017-05-18T13:55:41Z",
+                       "version": "v0.9.5"
+               },
+               {
+                       "checksumSHA1": "ZcY9YbDucbey7sESh+e5JgU+sI4=",
+                       "path": "github.com/hashicorp/terraform/helper/acctest",
+                       "revision": "v0.9.5",
+                       "revisionTime": "2017-05-18T13:55:41Z",
+                       "version": "v0.9.5"
+               },
+               {
+                       "checksumSHA1": "uT6Q9RdSRAkDjyUgQlJ2XKJRab4=",
+                       "path": "github.com/hashicorp/terraform/helper/config",
+                       "revision": "v0.9.5",
+                       "revisionTime": "2017-05-18T13:55:41Z",
+                       "version": "v0.9.5"
+               },
+               {
+                       "checksumSHA1": "Vbo55GDzPgG/L/+W2pcvDhxrPZc=",
+                       "path": "github.com/hashicorp/terraform/helper/experiment",
+                       "revision": "v0.9.5",
+                       "revisionTime": "2017-05-18T13:55:41Z",
+                       "version": "v0.9.5"
+               },
+               {
+                       "checksumSHA1": "BmIPKTr0zDutSJdyq7pYXrK1I3E=",
+                       "path": "github.com/hashicorp/terraform/helper/hashcode",
+                       "revision": "v0.9.5",
+                       "revisionTime": "2017-05-18T13:55:41Z",
+                       "version": "v0.9.5"
+               },
+               {
+                       "checksumSHA1": "B267stWNQd0/pBTXHfI/tJsxzfc=",
+                       "path": "github.com/hashicorp/terraform/helper/hilmapstructure",
+                       "revision": "v0.9.5",
+                       "revisionTime": "2017-05-18T13:55:41Z",
+                       "version": "v0.9.5"
+               },
+               {
+                       "checksumSHA1": "2wJa9F3BGlbe2DNqH5lb5POayRI=",
+                       "path": "github.com/hashicorp/terraform/helper/logging",
+                       "revision": "v0.9.5",
+                       "revisionTime": "2017-05-18T13:55:41Z",
+                       "version": "v0.9.5"
+               },
+               {
+                       "checksumSHA1": "lizCn3wKWKhtaFz/Vxq/icNUfZE=",
+                       "path": "github.com/hashicorp/terraform/helper/resource",
+                       "revision": "v0.9.5",
+                       "revisionTime": "2017-05-18T13:55:41Z",
+                       "version": "v0.9.5"
+               },
+               {
+                       "checksumSHA1": "cOp4qFx3FPNQKymAzGnMyvyo+Vk=",
+                       "path": "github.com/hashicorp/terraform/helper/schema",
+                       "revision": "v0.9.5",
+                       "revisionTime": "2017-05-18T13:55:41Z",
+                       "version": "v0.9.5"
+               },
+               {
+                       "checksumSHA1": "oLui7dYxhzfAczwwdNZDm4tzHtk=",
+                       "path": "github.com/hashicorp/terraform/helper/shadow",
+                       "revision": "v0.9.5",
+                       "revisionTime": "2017-05-18T13:55:41Z",
+                       "version": "v0.9.5"
+               },
+               {
+                       "checksumSHA1": "Fzbv+N7hFXOtrR6E7ZcHT3jEE9s=",
+                       "path": "github.com/hashicorp/terraform/helper/structure",
+                       "revision": "v0.9.5",
+                       "revisionTime": "2017-05-18T13:55:41Z",
+                       "version": "v0.9.5"
+               },
+               {
+                       "checksumSHA1": "Q3gCaw8WD99fSYwYZlXJ2+MVQh4=",
+                       "path": "github.com/hashicorp/terraform/helper/validation",
+                       "revision": "v0.9.5",
+                       "revisionTime": "2017-05-18T13:55:41Z",
+                       "version": "v0.9.5"
+               },
+               {
+                       "checksumSHA1": "6AA7ZAzswfl7SOzleP6e6he0lq4=",
+                       "path": "github.com/hashicorp/terraform/plugin",
+                       "revision": "v0.9.5",
+                       "revisionTime": "2017-05-18T13:55:41Z",
+                       "version": "v0.9.5"
+               },
+               {
+                       "checksumSHA1": "aJCSHitk1DIPdKNixjDdfGig/cQ=",
+                       "path": "github.com/hashicorp/terraform/terraform",
+                       "revision": "v0.9.5",
+                       "revisionTime": "2017-05-18T13:55:41Z",
+                       "version": "v0.9.5"
+               },
+               {
+                       "checksumSHA1": "ZhK6IO2XN81Y+3RAjTcVm1Ic7oU=",
+                       "path": "github.com/hashicorp/yamux",
+                       "revision": "d1caa6c97c9fc1cc9e83bbe34d0603f9ff0ce8bd",
+                       "revisionTime": "2016-07-20T23:31:40Z"
+               },
+               {
+                       "checksumSHA1": "0ZrwvB6KoGPj2PoDNSEJwxQ6Mog=",
+                       "comment": "0.2.2-2-gc01cf91",
+                       "path": "github.com/jmespath/go-jmespath",
+                       "revision": "bd40a432e4c76585ef6b72d3fd96fb9b6dc7b68d",
+                       "revisionTime": "2016-08-03T19:07:31Z"
+               },
+               {
+                       "checksumSHA1": "guxbLo8KHHBeM0rzou4OTzzpDNs=",
+                       "path": "github.com/mitchellh/copystructure",
+                       "revision": "5af94aef99f597e6a9e1f6ac6be6ce0f3c96b49d",
+                       "revisionTime": "2016-10-13T19:53:42Z"
+               },
+               {
+                       "checksumSHA1": "V/quM7+em2ByJbWBLOsEwnY3j/Q=",
+                       "path": "github.com/mitchellh/go-homedir",
+                       "revision": "b8bc1bf767474819792c23f32d8286a45736f1c6",
+                       "revisionTime": "2016-12-03T19:45:07Z"
+               },
+               {
+                       "checksumSHA1": "xyoJKalfQwTUN1qzZGQKWYAwl0A=",
+                       "path": "github.com/mitchellh/hashstructure",
+                       "revision": "6b17d669fac5e2f71c16658d781ec3fdd3802b69"
+               },
+               {
+                       "checksumSHA1": "MlX15lJuV8DYARX5RJY8rqrSEWQ=",
+                       "path": "github.com/mitchellh/mapstructure",
+                       "revision": "53818660ed4955e899c0bcafa97299a388bd7c8e",
+                       "revisionTime": "2017-03-07T20:11:23Z"
+               },
+               {
+                       "checksumSHA1": "vBpuqNfSTZcAR/0tP8tNYacySGs=",
+                       "path": "github.com/mitchellh/reflectwalk",
+                       "revision": "92573fe8d000a145bfebc03a16bc22b34945867f",
+                       "revisionTime": "2016-10-03T17:45:16Z"
+               },
+               {
+                       "checksumSHA1": "zmC8/3V4ls53DJlNTKDZwPSC/dA=",
+                       "path": "github.com/satori/go.uuid",
+                       "revision": "b061729afc07e77a8aa4fad0a2fd840958f1942a",
+                       "revisionTime": "2016-09-27T10:08:44Z"
+               },
+               {
+                       "checksumSHA1": "C1KKOxFoW7/W/NFNpiXK+boguNo=",
+                       "path": "golang.org/x/crypto/curve25519",
+                       "revision": "453249f01cfeb54c3d549ddb75ff152ca243f9d8",
+                       "revisionTime": "2017-02-08T20:51:15Z"
+               },
+               {
+                       "checksumSHA1": "wGb//LjBPNxYHqk+dcLo7BjPXK8=",
+                       "path": "golang.org/x/crypto/ed25519",
+                       "revision": "b8a2a83acfe6e6770b75de42d5ff4c67596675c0",
+                       "revisionTime": "2017-01-13T19:21:00Z"
+               },
+               {
+                       "checksumSHA1": "LXFcVx8I587SnWmKycSDEq9yvK8=",
+                       "path": "golang.org/x/crypto/ed25519/internal/edwards25519",
+                       "revision": "b8a2a83acfe6e6770b75de42d5ff4c67596675c0",
+                       "revisionTime": "2017-01-13T19:21:00Z"
+               },
+               {
+                       "checksumSHA1": "fsrFs762jlaILyqqQImS1GfvIvw=",
+                       "path": "golang.org/x/crypto/ssh",
+                       "revision": "453249f01cfeb54c3d549ddb75ff152ca243f9d8",
+                       "revisionTime": "2017-02-08T20:51:15Z"
+               }
+       ]
+}